Bug 828275 - Implement control queue and RX filtering using host in NetKVM
Summary: Implement control queue and RX filtering using host in NetKVM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win
Version: 6.4
Hardware: Unspecified
OS: Windows
unspecified
medium
Target Milestone: rc
: ---
Assignee: Yan Vugenfirer
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-04 13:42 UTC by Yan Vugenfirer
Modified: 2013-02-21 10:38 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Using virtio control queue to offload RX filtering to host. Reason: It was implemented in QEMU and Linux driver for a long time and might enhance performance. Result (if any):
Clone Of:
Environment:
Last Closed: 2013-02-21 10:38:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0441 0 normal SHIPPED_LIVE virtio-win bug fix and enhancement update 2013-02-20 20:48:13 UTC

Description Yan Vugenfirer 2012-06-04 13:42:52 UTC
Historically RX filtering (multicast, vlan) was implemented in Windows guest driver as we had to pass WHQL and support for those features did not exist in QEMU.

It is time for Windows driver to use existing QEMU features.

Comment 3 Miya Chen 2012-08-16 13:04:19 UTC
Hi Yan, could you please tell us how to verify this bug? Is only multicast&vlan testing in windows enough? Thanks.

Comment 4 Yan Vugenfirer 2012-08-21 11:04:54 UTC
Also run parts of NDIS 6.5 tests in WLK1.6 called "packet filtering" and vlan\priority.

Comment 5 Mike Cao 2012-08-24 03:09:02 UTC
(In reply to comment #4)
> Also run parts of NDIS 6.5 tests in WLK1.6 called "packet filtering" and
> vlan\priority.

FYI . This part is dup of Bug 834174 ,Let's run  multicast&vlan testing in windows only

Comment 6 errata-xmlrpc 2013-02-21 10:38:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0441.html


Note You need to log in before you can comment on or make changes to this bug.